%global commit 6eeaa3631d0598bc672dedc274beabebf0afcd16
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           spotify-qt
Version:        3.11
Release:        1.git%{shortcommit}%{?dist}
Summary:        Lightweight Spotify client using Qt 
License:        GPL-3.0-or-later     
URL:            https://github.com/kraxarn/spotify-qt 
Source:         https://github.com/kraxarn/spotify-qt/archive/%{commit}/spotify-qt-%{shortcommit}.tar.gz
Group:          Productivity/Multimedia/Sound/Players
BuildRequires:  gcc-c++
BuildRequires:  make
%if (0%{?fedora} && 0%{?fedora} >= 38)
# Use Qt6 on Fedora 38+
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Svg)
%else
# Otherwise stick to Qt5
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Network)
BuildRequires:  cmake(Qt5Svg)
%endif
Suggests:       spotifyd

Patch1:         0001-Add-dark-and-light-slider-handle-icon.patch

%description
An unofficial Spotify client using Qt as a simpler, lighter alternative to the official client, inspired by spotify-tui. Much like spotify-tui, you need an actual Spotify client running, for example spotifyd, which can be configured from within the app. Also like other clients, controlling music playback requires Spotify Premium.

%prep
%autosetup -n spotify-qt-%{commit} -p1

%build
%if (0%{?fedora} && 0%{?fedora} >= 39)
%cmake -DUSE_QT6=1
%else
%cmake
%endif
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%license license
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg

%changelog
* Thu Mar 14 2024 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (6eeaa36)
- Bump version to 3.11
* Mon Feb 19 2024 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (b598efd)
* Sat Nov 04 2023 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (7210316)
* Sat Nov 04 2023 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (9fa7eb0)
* Wed Sep 27 2023 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (a00aa87)
- Move to using Qt6
* Sun Jul 9 2023 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (0018a84)
- Move back to using Qt5
* Sun Jul 9 2023 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (1fb715c)
* Sat Jul 8 2023 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (adcf3ab)
* Mon May 29 2023 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (8a930a2)
* Tue May 23 2023 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (3558019)
* Mon May 01 2023 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (673a3fb)
* Sun Apr 23 2023 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (082fc34)
* Fri Apr 21 2023 Pavel A. <polter.rnd@gmail.com>
- Add dark and light slider-handle icon
- Bump upstream commit (7fb59c9)
* Tue Jan 03 2023 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (dd47b89)
* Wed Nov 30 2022 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (bd4d75a)
* Fri Nov 11 2022 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (452cfcd)
* Mon Oct 31 2022 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (289fd6a)
* Mon Sep 26 2022 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (e9370f5)
* Mon Sep 19 2022 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (7d3e0d7)
* Mon Aug 29 2022 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (ab2ec47)
* Mon Aug 22 2022 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (34281ea)
* Fri Aug 12 2022 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (4bd0e53)
* Tue Aug 9 2022 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit (fa9f1da)
* Tue Aug 2 2022 Pavel A. <polter.rnd@gmail.com>
- Bump upstream commit
* Thu Jul 28 2022 Pavel A. <polter.rnd@gmail.com>
- Bump version to 3.9
- Bump upstream commit
* Sat Jun 4 2022 Pavel A. <polter.rnd@gmail.com>
- Cleanup build requirements
- Remove postun/preun hooks
- Add license
- Bump upstream commit
* Tue Apr 19 2022 Pavel A. <polter.rnd@gmail.com>
- Bump version to 3.8
* Sun Aug 15 2021 Jens K. <jens@karatek.net>
- Bump version to 3.7
* Mon May 17 2021 Jens K. <karatek@karatek.net>
- Add description.
* Mon May 17 2021 Jens K. <karatek@karatek.net>
- Stuff
* Mon May 17 2021 Jens K. <karatek@karatek.net>
- Initial Commit
